/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.ftp.internal;

import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;

import org.eclipse.ftp.FtpException;

public class PassiveDataConnection extends DataConnection {
	private InetAddress address;
	private int port;

	/**
	 * Creates a data transfer manager.
	 * @param address the remote address to connect to
	 * @param port the remote port to connect to
	 */
	public PassiveDataConnection(InetAddress address, int port) {
		this.address = address;
		this.port = port;
	}
	
	protected Socket openSocket() throws FtpException {
		try {
			return new Socket(address, port);
		} catch (IOException e) {
			throw new FtpCommunicationException(FtpPlugin.getResourceString("FTPClient.CannotOpenPassiveDataConnection"), e); //$NON-NLS-1$
		}
	}
}
