/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.target.internal.ide.ui;

import org.eclipse.core.resources.IResource;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.target.internal.ide.IdeTargetResource;
import org.eclipse.target.internal.ui.TargetResourceElement;
import org.eclipse.ui.model.IWorkbenchAdapter;

/**
 * Override TargetResourceElement in order to provide proper images to
 * IResource target resources
 */
public class IdeTargetResouceElement extends TargetResourceElement {
	
	/* (non-Javadoc)
	 * @see org.eclipse.target.internal.ui.TargetResourceElement#getImageDescriptor(java.lang.Object)
	 */
	public ImageDescriptor getImageDescriptor(Object object) {
		if (object instanceof IdeTargetResource) {
			IResource resource = ((IdeTargetResource)object).getIResource();
			IWorkbenchAdapter adapter = (IWorkbenchAdapter)resource.getAdapter(IWorkbenchAdapter.class);
			ImageDescriptor imageDescriptor = adapter.getImageDescriptor(resource);
			if (imageDescriptor != null)
				return imageDescriptor;
		}
		return super.getImageDescriptor(object);
	}

}
