/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.target.internal.registry;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.core.runtime.IConfigurationElement;

/**
 * Reads the sites extension point
 */
public class SiteRegistry extends RegistryReader {
	
	public static final String PT_SITES = "sites"; //$NON-NLS-1$
	private static final Object TAG_SITE = "site"; //$NON-NLS-1$
	
	private Map sites = new HashMap();

	/* (non-Javadoc)
	 * @see org.eclipse.target.internal.registry.RegistryReader#readElement(org.eclipse.core.runtime.IConfigurationElement)
	 */
	protected boolean readElement(IConfigurationElement element) {
		if (element.getName().equals(TAG_SITE)) {
			String descText = getDescription(element);
			SiteDescriptor desc;
			desc = new SiteDescriptor(element, descText);
			sites.put(desc.getId(), desc);
			return true;
		}
		return false;
	}

	public SiteDescriptor getSiteDescriptor(String id) {
		return (SiteDescriptor)sites.get(id);
	}

}
